import request from '@/utils/request'

// 查询月度检查巡检记录列表
export function listPatrol(query) {
  return request({
    url: '/sems/patrol/list',
    method: 'get',
    params: query
  })
}

// 查询月度检查巡检记录详细
export function getPatrol(id) {
  return request({
    url: '/sems/patrol/' + id,
    method: 'get'
  })
}

// 新增月度检查巡检记录
export function addPatrol(data) {
  return request({
    url: '/sems/patrol',
    method: 'post',
    data: data
  })
}

// 修改月度检查巡检记录
export function updatePatrol(data) {
  return request({
    url: '/sems/patrol',
    method: 'put',
    data: data
  })
}

// 删除月度检查巡检记录
export function delPatrol(id) {
  return request({
    url: '/sems/patrol/' + id,
    method: 'delete'
  })
}

// 导出月度检查巡检记录
export function exportPatrol(query) {
  return request({
    url: '/sems/patrol/export',
    method: 'get',
    params: query
  })
}
